## org.hibernate.testing
Class ServiceRegistryBuilder

    java.lang.Object
      org.hibernate.testing.ServiceRegistryBuilder

    public class ServiceRegistryBuilder

extends Object

Constructor Summary
`ServiceRegistryBuilder()`

Method Summary
`static StandardServiceRegistryImpl` `buildServiceRegistry()`
`static StandardServiceRegistryImpl` `buildServiceRegistry(Map serviceRegistryConfig)`
`static void` `destroy(ServiceRegistry serviceRegistry)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceRegistryBuilder

    public ServiceRegistryBuilder()

Method Detail

### buildServiceRegistry

    public static StandardServiceRegistryImpl buildServiceRegistry()

### buildServiceRegistry

    public static StandardServiceRegistryImpl buildServiceRegistry(Map serviceRegistryConfig)

### destroy

    public static void destroy(ServiceRegistry serviceRegistry)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.